searchNodes=[{"doc":"Lingua wraps Peter M. Stahl's linuga-rs language detection library. This wrapper follows the lingua-rs API closely, so consult the documentation for more information.","ref":"Lingua.html","title":"Lingua","type":"module"},{"doc":"Get the list of supported languages.Exampleiex&gt; Lingua.all_languages() [:afrikaans, :albanian, :arabic, :armenian, :azerbaijani, :basque, :belarusian, :bengali, :bokmal, :bosnian, :bulgarian, :catalan, :chinese, :croatian, :czech, :danish, :dutch, :english, :esperanto, :estonian, :finnish, :french, :ganda, :georgian, :german, :greek, :gujarati, :hebrew, :hindi, :hungarian, :icelandic, :indonesian, :irish, :italian, :japanese, :kazakh, :korean, :latin, :latvian, :lithuanian, :macedonian, :malay, :maori, :marathi, :mongolian, :nynorsk, :persian, :polish, :portuguese, :punjabi, :romanian, :russian, :serbian, :shona, :slovak, :slovene, :somali, :sotho, :spanish, :swahili, :swedish, :tagalog, :tamil, :telugu, :thai, :tsonga, :tswana, :turkish, :ukrainian, :urdu, :vietnamese, :welsh, :xhosa, :yoruba, :zulu]","ref":"Lingua.html#all_languages/0","title":"Lingua.all_languages/0","type":"function"},{"doc":"Get the list of supported languages using Arabic script.Exampleiex&gt; Lingua.all_languages_with_arabic_script() [:arabic, :persian, :urdu]","ref":"Lingua.html#all_languages_with_arabic_script/0","title":"Lingua.all_languages_with_arabic_script/0","type":"function"},{"doc":"Get the list of supported languages using Cyrillic script.Exampleiex&gt; Lingua.all_languages_with_cyrillic_script() [:belarusian, :bulgarian, :kazakh, :macedonian, :mongolian, :russian, :serbian, :ukrainian]","ref":"Lingua.html#all_languages_with_cyrillic_script/0","title":"Lingua.all_languages_with_cyrillic_script/0","type":"function"},{"doc":"Get the list of supported languages using Devanagari script.Exampleiex&gt; Lingua.all_languages_with_devanagari_script() [:hindi, :marathi]","ref":"Lingua.html#all_languages_with_devanagari_script/0","title":"Lingua.all_languages_with_devanagari_script/0","type":"function"},{"doc":"Get the list of supported languages using Latin script.Exampleiex&gt; Lingua.all_languages_with_latin_script() [:afrikaans, :albanian, :azerbaijani, :basque, :bokmal, :bosnian, :catalan, :croatian, :czech, :danish, :dutch, :english, :esperanto, :estonian, :finnish, :french, :ganda, :german, :hungarian, :icelandic, :indonesian, :irish, :italian, :latin, :latvian, :lithuanian, :malay, :maori, :nynorsk, :polish, :portuguese, :romanian, :shona, :slovak, :slovene, :somali, :sotho, :spanish, :swahili, :swedish, :tagalog, :tsonga, :tswana, :turkish, :vietnamese, :welsh, :xhosa, :yoruba, :zulu]","ref":"Lingua.html#all_languages_with_latin_script/0","title":"Lingua.all_languages_with_latin_script/0","type":"function"},{"doc":"Get the list of supported spoken languages.Exampleiex&gt; Lingua.all_spoken_languages() [:afrikaans, :albanian, :arabic, :armenian, :azerbaijani, :basque, :belarusian, :bengali, :bokmal, :bosnian, :bulgarian, :catalan, :chinese, :croatian, :czech, :danish, :dutch, :english, :esperanto, :estonian, :finnish, :french, :ganda, :georgian, :german, :greek, :gujarati, :hebrew, :hindi, :hungarian, :icelandic, :indonesian, :irish, :italian, :japanese, :kazakh, :korean, :latvian, :lithuanian, :macedonian, :malay, :maori, :marathi, :mongolian, :nynorsk, :persian, :polish, :portuguese, :punjabi, :romanian, :russian, :serbian, :shona, :slovak, :slovene, :somali, :sotho, :spanish, :swahili, :swedish, :tagalog, :tamil, :telugu, :thai, :tsonga, :tswana, :turkish, :ukrainian, :urdu, :vietnamese, :welsh, :xhosa, :yoruba, :zulu]","ref":"Lingua.html#all_spoken_languages/0","title":"Lingua.all_spoken_languages/0","type":"function"},{"doc":"Detect the language of the given input text. By default, all supported languages will be considered and the minimum relative distance is 0.0.Returns the detected language, or a list of languages and their confidence values, or :no_match if the given text doesn't match a language.Options:builder_option: - can be one of the following (defaults to :all_languages)::all_languages - consider every supported language:all_spoken_languages - consider only currently spoken languages:all_languages_with_arabic_script - consider only languages written in Arabic script:all_languages_with_cyrillic_script - consider only languages written in Cyrillic script:all_languages_with_devanagari_script - consider only languages written in Devanagari script:all_languages_with_latin_script - consider only languages written in Latin script:with_languages - consider only the languages supplied in the languages option.:without_languages - consider all languages except those supplied in the languages option. Two or more are required. (see below)languages: - specify two or more languages to consider or to not consider depending on the builder_option: (defaults to []). Accepts any combination of languages and ISO 639-1 or 639-3 codes, for example: [:english, :ru, :lit] to consider English, Russian and Lithuanian.with_minimum_relative_distance: - specify the minimum relative distance (0.0 - 0.99) required for a language to be considered a match for the input. See the lingua-rs documentation for details. (defaults to 0.0)compute_language_confidence_values: - returns the full list of language matches for the input and their confidence values. (defaults to false)Exampleiex&gt; Lingua.detect(&quot;this is definitely English&quot;) {:ok, :english} iex&gt; Lingua.detect(&quot;וזה בעברית&quot;) {:ok, :hebrew} iex&gt; Lingua.detect(&quot;państwowych&quot;, builder_option: :with_languages, languages: [:english, :russian, :polish]) {:ok, :polish} iex&gt; Lingua.detect(&quot;ѕидови&quot;, builder_option: :all_languages_with_cyrillic_script) {:ok, :macedonian} iex&gt; Lingua.detect(&quot;כלב&quot;, builder_option: :with_languages, languages: [:english, :russian, :polish]) {:ok, :no_match} iex&gt; Lingua.detect(&quot;what in the world is this&quot;, builder_option: :with_languages, languages: [:english, :russian, :hebrew], compute_language_confidence_values: true) {:ok, [english: 1.0]}","ref":"Lingua.html#detect/2","title":"Lingua.detect/2","type":"function"},{"doc":"Like detect, but returns the result value or raises an error.","ref":"Lingua.html#detect!/2","title":"Lingua.detect!/2","type":"function"},{"doc":"Initialize the detector. Calling this is optional but it may come in handy in cases where you want lingua-rs to load the language corpora so that subsequent calls to detect are fast. The first time the detector is run it can take some time to load (~12 seconds on my Macbook Pro).Exampleiex&gt; Lingua.init() :ok","ref":"Lingua.html#init/0","title":"Lingua.init/0","type":"function"},{"doc":"Get the ISO 639-1 language code for the given language.Exampleiex&gt; Lingua.iso_code_639_1_for_language(:english) {:ok, :en} iex&gt; Lingua.iso_code_639_1_for_language(:nope) {:error, :unrecognized_language}","ref":"Lingua.html#iso_code_639_1_for_language/1","title":"Lingua.iso_code_639_1_for_language/1","type":"function"},{"doc":"Get the ISO 639-3 language code for the given language.Exampleiex&gt; Lingua.iso_code_639_3_for_language(:english) {:ok, :eng} iex&gt; Lingua.iso_code_639_1_for_language(:nope) {:error, :unrecognized_language}","ref":"Lingua.html#iso_code_639_3_for_language/1","title":"Lingua.iso_code_639_3_for_language/1","type":"function"},{"doc":"Get the language for the given ISO 639-1 or 639-3 language code.Exampleiex&gt; Lingua.language_for_iso_code(:en) {:ok, :english} iex&gt; Lingua.language_for_iso_code(:eng) {:ok, :english} iex&gt; Lingua.language_for_iso_code(:mop) {:error, :unrecognized_iso_code}","ref":"Lingua.html#language_for_iso_code/1","title":"Lingua.language_for_iso_code/1","type":"function"},{"doc":"Get the language for the given ISO 639-1 language code.Exampleiex&gt; Lingua.language_for_iso_code_639_1(:en) {:ok, :english} iex&gt; Lingua.language_for_iso_code_639_1(:er) {:error, :unrecognized_iso_code}","ref":"Lingua.html#language_for_iso_code_639_1/1","title":"Lingua.language_for_iso_code_639_1/1","type":"function"},{"doc":"Get the language for the given ISO 639-3 language code.Exampleiex&gt; Lingua.language_for_iso_code_639_3(:eng) {:ok, :english} iex&gt; Lingua.language_for_iso_code_639_3(:enr) {:error, :unrecognized_iso_code}","ref":"Lingua.html#language_for_iso_code_639_3/1","title":"Lingua.language_for_iso_code_639_3/1","type":"function"}]